package com.bjtdba.userCenter.service;

import com.alibaba.fastjson.JSONObject;
import com.bjtdba.entity.userCenter.UserCertification;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

/**
 * 用户认证(UserCertification)表服务接口
 *
 * @author makejava
 * @since 2022-10-14 15:40:55
 */
public interface UserCertificationService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    UserCertification queryById(Integer id);

    /**
     * 分页查询
     *
     * @param userCertification 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    Page<UserCertification> queryByPage(UserCertification userCertification, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param userCertification 实例对象
     * @return 实例对象
     */
    UserCertification insert(UserCertification userCertification);

    /**
     * 修改数据
     *
     * @param userCertification 实例对象
     * @return 实例对象
     */
    UserCertification update(UserCertification userCertification);

    public UserCertification queryByUId(Integer uid);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 实名认证
     * @param userCertification
     * @param uid
     * @return
     */
    public JSONObject add_cer(UserCertification userCertification, Integer uid);

}
